Subject: bug#64871: closed (Re: bug#64871: 30.0.50; [FR] Add command and menu item to open user init file)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Aug 2023 08:09:02 +0000

Your bug report

#64871: 30.0.50; [FR] Add command and menu item to open user init file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64871: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64871
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64871: 30.0.50; [FR] Add command and menu item to open user init file
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 03 Aug 2023 11:08:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 28 Jul 2023 12:24:18 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> >> Not helpful:
> >> >> 1. "Top-level customization group" has help-echo "The master group
> >> >>    called 'Emacs'" - it does not clarify anything for me.
> >> >> 2. "Browse customization groups" has help-echo "Browse all customization
> >> >>    groups" - what new information does it provide?
> > ...
> > How about:
> >
> >   "Top-level groups of customizable options, and their descriptions."
> >   "Tree-like browser of all the groups of customizable options."
> 
> I agree that it is much more accurate.

I've now made those changes on master, and I'm closing this bug.

Subject: 30.0.50; [FR] Add command and menu item to open user init file
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jul 2023 11:04:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

>From my experience, many new Emacs users have difficulties adding
things to their init file. Especially on Windows.

I have seen people being stuck when asked to "add some Elisp snippet to
config". They do not fully understand how to open that "config".

In some instances, users just created init.el in some random directory,
modified it, and then got confused why the config is not affecting
anything.

I think that it would be nice to provide an easily accessible command
that opens init.el or creates a new one, if not exists yet.

The command should obviously be available via M-x and maybe also via
menu and toolbar.

WDYT?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>